from dialogs import Dialog
from controls import Label, TextField

class Attr(object):

	def __init__(self, item, label, ident, typ = str):
		self.item = item
		self.label = label
		self.ident = ident
		self.typ = typ
	
	def load(self):
		self.field.set_text(str(getattr(self.item, self.ident)))
	
	def save(self):
		text = self.field.get_text()
		try:
			value = self.typ(text)
		except ValueError:
			return
		setattr(self.item, self.ident, value)


def edit_item_params(items):
	attrs = []
	for item in items:
		if item:
			for desc in item.editor_attrs:
				attrs.append(Attr(item, *desc))
	if attrs:
		edit_attrs(attrs)

def edit_attrs(attrs):
	y = 5
	fields = []
	for attr in attrs:
		label = Label(attr.label + ":")
		field = TextField(300)
		attr.label = label
		attr.field = field
		label.rect.topleft = 5, y
		field.rect.topleft = 105, y
		y += field.rect.height + 5
	box = Dialog()
	box.rect.size = 465, y
	for attr in attrs:
		box.add(attr.label)
		box.add(attr.field)
		print "label rect", attr.label.rect ###
		print "field rect", attr.field.rect ###
	print "dialog rect", box.rect ###
	for attr in attrs:
		attr.load()
	attrs[0].field.focus()
	if box.present():
		for attr in attrs:
			attr.save()

