from level import Back, Wall, Floor, BackDoor, Battery, BeamWall, \
	Information, Gizmo

def make_back_palette():
	return [
		Back("brick_wall.png"),
		Back("brick_wall_window.png"),
		Back("brick_wall_door_left.png"),
		Back("brick_wall_door_right.png"),
		Back("lab_back.png"),
		Back("lab_window.png"),
	]

def make_wall_palette():
	return [
		Wall("fire_escape_ladder.png", passable = True, climbable = True),
		Wall("fire_escape_top.png", passable = True),
		Wall("brick_end.png", border = 1),
		Wall("brick_pave_end.png"),
		Wall("lab_wall.png"),
		BeamWall((255,0,0), "red_beam.png"),
		BeamWall((0,255,0), "green_beam.png"),
		BeamWall((0,0,255), "blue_beam.png"),
	]

def make_floor_palette():
	return [
		Floor("pavement.png"),
		Floor("fire_escape_floor.png"),
		Floor("lab_floor.png"),
	]

def make_gizmo_palette():
	return [
		BackDoor("brick_wall_window_open.png", 1),
		BackDoor("lab_window_open.png", 1),
		BackDoor("back_door.png", 9, open_sound = "dooropen.wav"),
		BackDoor("lift_door.png", 11),
		Gizmo("lab_bench.png", height = 60, depth = 10),
		Gizmo("lab_bench_cupboards.png", depth = 10),
		Gizmo("lab_sink.png", depth = 10),
	]

def make_object_palette():
	return [
		Battery("red", "red_battery.png", "Red cloak battery"),
		Battery("green", "green_battery.png", "Green cloak battery"),
		Battery("blue", "blue_battery.png", "Blue cloak battery"),
		Information("document.png"),
		Information("cd.png"),
		Information("memstick.png"),
		Information("laptop.png"),
	]
